Loading...
Searching...
No Matches
rfnoc_siggen_pydoc_template.h File Reference
`#include "pydoc_macros.h"`
Include dependency graph for rfnoc_siggen_pydoc_template.h:

Go to the source code of this file.

## Macros

#define | D(...)

## Variables

static const char * | __doc_gr_uhd_rfnoc_siggen = R"doc()doc"
static const char * | __doc_gr_uhd_rfnoc_siggen_make = R"doc()doc"
static const char * | __doc_gr_uhd_rfnoc_siggen_set_amplitude = R"doc()doc"
static const char * | __doc_gr_uhd_rfnoc_siggen_get_amplitude = R"doc()doc"
static const char * | __doc_gr_uhd_rfnoc_siggen_set_constant = R"doc()doc"
static const char * | __doc_gr_uhd_rfnoc_siggen_get_constant = R"doc()doc"
static const char * | __doc_gr_uhd_rfnoc_siggen_set_enable = R"doc()doc"
static const char * | __doc_gr_uhd_rfnoc_siggen_get_enable = R"doc()doc"
static const char * | __doc_gr_uhd_rfnoc_siggen_set_sine_frequency = R"doc()doc"
static const char * | __doc_gr_uhd_rfnoc_siggen_set_sine_phase_increment = R"doc()doc"
static const char * | __doc_gr_uhd_rfnoc_siggen_get_sine_phase_increment = R"doc()doc"
static const char * | __doc_gr_uhd_rfnoc_siggen_set_waveform = R"doc()doc"
static const char * | __doc_gr_uhd_rfnoc_siggen_get_waveform_string = R"doc()doc"
static const char * | __doc_gr_uhd_rfnoc_siggen_get_waveform = R"doc()doc"
static const char * | __doc_gr_uhd_rfnoc_siggen_set_samples_per_packet = R"doc()doc"
static const char * | __doc_gr_uhd_rfnoc_siggen_get_samples_per_packet = R"doc()doc"

## Macro Definition Documentation

## D

#define D | ( |  | ... | ) |

Value:
DOC(gr, uhd, __VA_ARGS__)
DOC
#define DOC(...)
Definition cmake-pkgsrc-build/gnuradio-runtime/python/gnuradio/gr/bindings/pydoc_macros.h:17
gr
GNU Radio logging wrapper.
Definition basic_block.h:29

## Variable Documentation

## __doc_gr_uhd_rfnoc_siggen

const char* __doc_gr_uhd_rfnoc_siggen = R"doc()doc"

static

## __doc_gr_uhd_rfnoc_siggen_get_amplitude

const char* __doc_gr_uhd_rfnoc_siggen_get_amplitude = R"doc()doc"

static

## __doc_gr_uhd_rfnoc_siggen_get_constant

const char* __doc_gr_uhd_rfnoc_siggen_get_constant = R"doc()doc"

static

## __doc_gr_uhd_rfnoc_siggen_get_enable

const char* __doc_gr_uhd_rfnoc_siggen_get_enable = R"doc()doc"

static

## __doc_gr_uhd_rfnoc_siggen_get_samples_per_packet

const char* __doc_gr_uhd_rfnoc_siggen_get_samples_per_packet = R"doc()doc"

static

## __doc_gr_uhd_rfnoc_siggen_get_sine_phase_increment

const char* __doc_gr_uhd_rfnoc_siggen_get_sine_phase_increment = R"doc()doc"

static

## __doc_gr_uhd_rfnoc_siggen_get_waveform

const char* __doc_gr_uhd_rfnoc_siggen_get_waveform = R"doc()doc"

static

## __doc_gr_uhd_rfnoc_siggen_get_waveform_string

const char* __doc_gr_uhd_rfnoc_siggen_get_waveform_string = R"doc()doc"

static

## __doc_gr_uhd_rfnoc_siggen_make

const char* __doc_gr_uhd_rfnoc_siggen_make = R"doc()doc"

static

## __doc_gr_uhd_rfnoc_siggen_set_amplitude

const char* __doc_gr_uhd_rfnoc_siggen_set_amplitude = R"doc()doc"

static

## __doc_gr_uhd_rfnoc_siggen_set_constant

const char* __doc_gr_uhd_rfnoc_siggen_set_constant = R"doc()doc"

static

## __doc_gr_uhd_rfnoc_siggen_set_enable

const char* __doc_gr_uhd_rfnoc_siggen_set_enable = R"doc()doc"

static

## __doc_gr_uhd_rfnoc_siggen_set_samples_per_packet

const char* __doc_gr_uhd_rfnoc_siggen_set_samples_per_packet = R"doc()doc"

static

## __doc_gr_uhd_rfnoc_siggen_set_sine_frequency

const char* __doc_gr_uhd_rfnoc_siggen_set_sine_frequency = R"doc()doc"

static

## __doc_gr_uhd_rfnoc_siggen_set_sine_phase_increment

const char* __doc_gr_uhd_rfnoc_siggen_set_sine_phase_increment = R"doc()doc"

static

## __doc_gr_uhd_rfnoc_siggen_set_waveform

const char* __doc_gr_uhd_rfnoc_siggen_set_waveform = R"doc()doc"

static